SparkProgressService.StageProgress (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class SparkProgressService.StageProgress

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.SparkProgressService.StageProgress

- Enclosing class:
    SparkProgressService

      public static class SparkProgressService.StageProgress
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StageProgress()`
    `StageProgress(java.lang.String failureReason, int stageId, int totalTasks, int succeededTasks, int failedTasks, int activeTasks, boolean running)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveTasks()`
    `int` | `getFailedTasks()`
    `java.lang.String` | `getFailureReason()`
    `int` | `getStageId()`
    `int` | `getSucceededTasks()`
    `int` | `getTotalTasks()`
    `boolean` | `hasFailed()`
    `boolean` | `isRunning()`
    `void` | `setActiveTasks(int activeTasks)`
    `void` | `setFailedTasks(int failedTasks)`
    `void` | `setFailureReason(java.lang.String failureReason)`
    `void` | `setRunning(boolean running)`
    `void` | `setStageId(int stageId)`
    `void` | `setSucceededTasks(int succeededTasks)`
    `void` | `setTotalTasks(int totalTasks)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StageProgress

          public StageProgress()

    - #### StageProgress

          public StageProgress(java.lang.String failureReason,
                               int stageId,
                               int totalTasks,
                               int succeededTasks,
                               int failedTasks,
                               int activeTasks,
                               boolean running)

  - ### Method Detail

    - #### hasFailed

          public boolean hasFailed()

    - #### getFailureReason

          public java.lang.String getFailureReason()

    - #### getStageId

          public int getStageId()

    - #### getTotalTasks

          public int getTotalTasks()

    - #### getSucceededTasks

          public int getSucceededTasks()

    - #### getFailedTasks

          public int getFailedTasks()

    - #### getActiveTasks

          public int getActiveTasks()

    - #### isRunning

          public boolean isRunning()

    - #### setFailureReason

          public void setFailureReason(java.lang.String failureReason)

    - #### setStageId

          public void setStageId(int stageId)

    - #### setTotalTasks

          public void setTotalTasks(int totalTasks)

    - #### setSucceededTasks

          public void setSucceededTasks(int succeededTasks)

    - #### setFailedTasks

          public void setFailedTasks(int failedTasks)

    - #### setActiveTasks

          public void setActiveTasks(int activeTasks)

    - #### setRunning

          public void setRunning(boolean running)